%define upstream_name Test-Inline
%define upstream_version 2.213

Name:           perl-%{upstream_name}
Version:        %{upstream_version}
Release:        %mkrel 10
Summary:        Inlining your tests next to the code being tested
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source:         http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-prefork
BuildRequires:  perl(File::Spec) >= 0.82
BuildRequires:  perl(File::Slurp) >= 9999.04
BuildRequires:  perl(File::Find::Rule) >= 0.26
BuildRequires:  perl(File::Flat) >= 0.95
BuildRequires:  perl(File::Remove)
BuildRequires:  perl(File::chmod)
BuildRequires:  perl(List::Util) >= 1.11
BuildRequires:  perl(Getopt::Long) >= 2.34
BuildRequires:  perl(Class::Autouse) >= 1.15
BuildRequires:  perl(Algorithm::Dependency) >= 1.02
BuildRequires:  perl(Config::Tiny) >= 2.00
BuildRequires:  perl(Pod::Tests) >= 0.18
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Script)
BuildRequires:  perl(Test::ClassAPI) >= 1.02
BuildArch:      noarch

Obsoletes:  Test-Inline

# Filter duplicate unversioned requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Slurp\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Spec\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(List::Util\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Params::Util\\)$

%description
Embedding tests allows tests to be placed near the code it's
testing. This is a nice supplement to the traditional .t files.
It's like XUnit, Perl-style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 Changes README
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes README
%{_bindir}/inline2test
%{perl_vendorlib}/Test
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.213-10pclos2017
- rebuild against updates

